Bug 855629 - [abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
[abrt] xorg-x11-server-Xorg-1.12.3-1.fc17: Xorg server crashed
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-server (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: X/OpenGL Maintenance List
Fedora Extras Quality Assurance
abrt_hash:192418ddb1202032ede6f34c16f...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 08:25 EDT by Watanabe, Yuki
Modified: 2013-08-01 15:28 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 15:28:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: usr_share_xorg_conf_d.tar.gz (1.56 KB, text/plain)
2012-09-09 08:26 EDT, Watanabe, Yuki
no flags Details
File: xorg.conf (1.16 KB, text/plain)
2012-09-09 08:26 EDT, Watanabe, Yuki
no flags Details
File: etc_X11_xorg_conf_d.tar.gz (491 bytes, text/plain)
2012-09-09 08:26 EDT, Watanabe, Yuki
no flags Details

  None (edit)
Description Watanabe, Yuki 2012-09-09 08:25:58 EDT
Description of problem:
The entire screen suddenly freezed when I tried to switch workspaces using the Ctrl-Alt-Up shortcut key.
I don't know why this crash happened. X had been working without problems since I installed Fedora on my laptop 8 months ago.


Version-Release number of selected component:
xorg-x11-server-Xorg-1.12.3-1.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
kernel:         3.5.3-1.fc17.x86_64

backtrace:
:0: /usr/bin/Xorg (xorg_backtrace+0x36) [0x4652a6]
:1: /usr/bin/Xorg (mieqEnqueue+0x26b) [0x5514ab]
:2: /usr/bin/Xorg (0x400000+0x47f02) [0x447f02]
:3: /usr/bin/Xorg (xf86PostMotionEvent+0xd0) [0x490070]
:4: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f9f1b825000+0x5025) [0x7f9f1b82a025]
:5: /usr/lib64/xorg/modules/input/synaptics_drv.so (0x7f9f1b825000+0x6f44) [0x7f9f1b82bf44]
:6: /usr/bin/Xorg (0x400000+0x80787) [0x480787]
:7: /usr/bin/Xorg (0x400000+0xa4a80) [0x4a4a80]
:8: /lib64/libpthread.so.0 (0x39fe000000+0xefe0) [0x39fe00efe0]
:9: (vdso) (__vdso_gettimeofday+0xe7) [0x7fff881ff9b7]
:10: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0x103b6e) [0x7f9f1c90bb6e]
:11: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0x8f54e) [0x7f9f1c89754e]
:12: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0x107c7b) [0x7f9f1c90fc7b]
:13: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0xca5c2) [0x7f9f1c8d25c2]
:14: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0x5403bc) [0x7f9f1cd483bc]
:15: /usr/lib64/xorg/modules/drivers/nvidia_drv.so (0x7f9f1c808000+0x50e138) [0x7f9f1cd16138]
:16: /usr/bin/Xorg (BlockHandler+0x4a) [0x4381da]
:17: /usr/bin/Xorg (WaitForSomething+0x114) [0x4627a4]
:18: /usr/bin/Xorg (0x400000+0x34111) [0x434111]
:19: /usr/bin/Xorg (0x400000+0x23485) [0x423485]
:20: /lib64/libc.so.6 (__libc_start_main+0xf5) [0x39fdc21735]
:21: /usr/bin/Xorg (0x400000+0x2375d) [0x42375d]
Comment 1 Watanabe, Yuki 2012-09-09 08:26:01 EDT
Created attachment 611209 [details]
File: usr_share_xorg_conf_d.tar.gz
Comment 2 Watanabe, Yuki 2012-09-09 08:26:02 EDT
Created attachment 611210 [details]
File: xorg.conf
Comment 3 Watanabe, Yuki 2012-09-09 08:26:04 EDT
Created attachment 611211 [details]
File: etc_X11_xorg_conf_d.tar.gz
Comment 4 Adam Jackson 2012-10-18 17:47:59 EDT
Please update to at least xorg-x11-server-1.12.3-2.fc17 and reopen if this is still reproduceable.
Comment 5 Fedora End Of Life 2013-07-04 03:24:04 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 15:28:40 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.